package com.jiaoyinbrother.monkeyking.activity

import android.content.Intent
import com.bumptech.glide.Glide
import com.bumptech.glide.load.engine.DiskCacheStrategy
import com.jiaoyinbrother.monkeyking.R
import com.jybrother.sineo.library.base.BaseActivity
import com.jybrother.sineo.library.util.LogUtil
import kotlinx.android.synthetic.main.activity_show_big_image.*
import kotlinx.android.synthetic.main.main_title.*

/**
 * Created by zhangbo on 2018/1/29.
 */
class ShowBigImageActivity : BaseActivity(){
    override fun getLayoutId(): Int {
        return R.layout.activity_show_big_image
    }

    override fun initView() {
    }

    override fun initToolBar() {
        ivTitleName.text = "查看照片"
    }

    override fun initListeners() {
        big_img_btn.setOnClickListener {
            var intent = Intent()
            setResult(3,intent)
            finish()
        }
    }

    override fun initData() {

        var urlImg = intent.getStringExtra("IMG_URL")

        LogUtil.e(urlImg)
        Glide.with(this).load(urlImg)
                .diskCacheStrategy(DiskCacheStrategy.NONE).into(big_img_view)
    }

}