package com.jiaoyinbrother.monkeyking.adapter

import android.content.Context
import android.widget.TextView
import com.baidu.mapapi.search.core.PoiInfo
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.monkeyking.R
import org.w3c.dom.Text

/**
 * Created by Soda on 2017/12/29.
 */
class SearchAddressAdapter(val context: Context) : EasyRecyclerViewAdapter() {

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_for_search_address)
    }

    override fun getRecycleViewItemType(position: Int): Int {
        return position
    }

    override fun onBindRecycleViewHolder(view: EasyRecyclerViewHolder?, position: Int) {
        val poiInfo = list[position] as PoiInfo

        val name = view?.findViewById<TextView>(R.id.name_tv)
        name?.text = poiInfo.name
        val address = view?.findViewById<TextView>(R.id.address_tv)
        address?.text = poiInfo.address
    }


}