package com.jiaoyinbrother.monkeyking.bean

import com.jybrother.sineo.library.bean.ActivitiesDiscountBean
import com.jybrother.sineo.library.bean.InsuranceBean
import com.jybrother.sineo.library.bean.Other
import com.jybrother.sineo.library.bean.PromotionActivityBean

import java.util.ArrayList

class CalcResult : ProjectBaseResult() {

    /**
     * 参数
     */
    // 租金 title，费用
    /**
     * get() and set();
     */
    var rent_amount_name: String? = null
    var rent_amount: String? = null
    // 基本保险 title，费用
    var insurance_amount_name: String? = null
    var insurance_amount: String? = null
    var insurance_amount_description: String? = null
    // 手续费 title，费用
    var poundage_amount_name: String? = null
    var poundage_amount: String? = null
    // 超时租金 title，费用
    var overtime_rent_amount_name: String? = null
    var overtime_rent_amount: String? = null
    // 超时基本保险 title，费用
    var overtime_insurance_amount_name: String? = null
    var overtime_insurance_amount: String? = null
    // 送车上门费 title，费用
    var send_service_amount_name: String? = null
    var send_service_amount: String? = null
    // 上门取车费 title，费用
    var return_service_amount_name: String? = null
    var return_service_amount: String? = null
    // 跨城市服务费
    var crosscity_service_amount: String? = null
    var crosscity_service_amount_name: String? = null
    // 夜间服务费 title，费用，描述
    var night_service_amount_name: String? = null
    var night_service_amount: String? = null
    var night_service_amount_description: String? = null
    var prompt: String? = null
    // 超里程费 title，费用，描述
    var miles_amount_name: String? = null
    var miles_amount: String? = null
    var miles_description: String? = null
    // 油(电)费 title，费用，描述
    var fuel_amount_name: String? = null
    var fuel_amount: String? = null
    var fuel_description: String? = null//油(电)费描述
    // 退改费 title，费用，描述
    var penalty_amount_name: String? = null
    var penalty_amount: String? = null
    var once_penalty_amount: String? = null// 退改费(提前还车)
    // 可选服务费 title，费用，描述
    var optional_service = ArrayList<InsuranceBean>()
    var optional_service_amount_name: String? = null
    var optional_service_amount: String? = null
    // 其他费用 title，费用，描述
    var other_amount_name: String? = null
    var other_amount: String? = null// 其他费用
    // 活动优惠 title，费用，描述
    var discount_amount_name: String? = null
    var discount_amount: Int = 0
    // 总计&订单总额 title，费用，描述
    var total_amount_name: String? = null
    var total_amount: String? = null
    var order_total_amount: String? = null// 订单总价&续租
    // 日均价格
    var avg_price: String? = null
    // 浮动定价数组
    var prices: ArrayList<Other>? = null
    // 小贴士
    var tips: ArrayList<String>? = null
    var plan_id: String? = null
    //优惠券
    var coupons: ArrayList<String>? = null
    var avai_coupons: ArrayList<CouponBean>? = null
    var coupon_pay: Int = 0
    var wkcoin_avai_pay: Int = 0
    //    取消提示
    var modify_prompt: ArrayList<NameColorBean>? = null
    //悟空币
    var wkcoin_pay: Int = 0
    var actual_total_amount: String? = null
    // 活动优惠是否显示
    var discount_hide = false
    // 活动优惠开关是否打开
    var discount_switch = false
    var discount_desc: String? = null
    var wkcoin_pay_hide = false
    var wkcoin_pay_switch = false
    var wkcoin_pay_prompt: String? = null
    var activity: PromotionActivityBean? = null// = PromotionActivityBean()
    var avai_activities: ArrayList<ActivitiesDiscountBean>? = null//= ArrayList<ActivitiesDiscountBean>()

    var car_deposit_free_tips: String? = null

    override fun toString(): String {
        return "CalcResult(rent_amount_name=$rent_amount_name, rent_amount=$rent_amount, insurance_amount_name=$insurance_amount_name, insurance_amount=$insurance_amount, insurance_amount_description=$insurance_amount_description, poundage_amount_name=$poundage_amount_name, poundage_amount=$poundage_amount, overtime_rent_amount_name=$overtime_rent_amount_name, overtime_rent_amount=$overtime_rent_amount, overtime_insurance_amount_name=$overtime_insurance_amount_name, overtime_insurance_amount=$overtime_insurance_amount, send_service_amount_name=$send_service_amount_name, send_service_amount=$send_service_amount, return_service_amount_name=$return_service_amount_name, return_service_amount=$return_service_amount, crosscity_service_amount=$crosscity_service_amount, crosscity_service_amount_name=$crosscity_service_amount_name, night_service_amount_name=$night_service_amount_name, night_service_amount=$night_service_amount, night_service_amount_description=$night_service_amount_description, prompt=$prompt, miles_amount_name=$miles_amount_name, miles_amount=$miles_amount, miles_description=$miles_description, fuel_amount_name=$fuel_amount_name, fuel_amount=$fuel_amount, fuel_description=$fuel_description, penalty_amount_name=$penalty_amount_name, penalty_amount=$penalty_amount, once_penalty_amount=$once_penalty_amount, optional_service=$optional_service, optional_service_amount_name=$optional_service_amount_name, optional_service_amount=$optional_service_amount, other_amount_name=$other_amount_name, other_amount=$other_amount, discount_amount_name=$discount_amount_name, discount_amount=$discount_amount, total_amount_name=$total_amount_name, total_amount=$total_amount, order_total_amount=$order_total_amount, avg_price=$avg_price, prices=$prices, tips=$tips, plan_id=$plan_id, coupons=$coupons, avai_coupons=$avai_coupons, coupon_pay=$coupon_pay, wkcoin_avai_pay=$wkcoin_avai_pay, modify_prompt=$modify_prompt, wkcoin_pay=$wkcoin_pay, actual_total_amount=$actual_total_amount, discount_hide=$discount_hide, discount_switch=$discount_switch, discount_desc=$discount_desc, wkcoin_pay_hide=$wkcoin_pay_hide, wkcoin_pay_switch=$wkcoin_pay_switch, wkcoin_pay_prompt=$wkcoin_pay_prompt, activity=$activity, avai_activities=$avai_activities, car_deposit_free_tips=$car_deposit_free_tips)"
    }


}
