package com.jiaoyinbrother.monkeyking.adapter

import android.content.Context
import android.view.View
import android.widget.ImageView
import android.widget.TextView
import com.camnter.easyrecyclerview.adapter.EasyRecyclerViewAdapter
import com.camnter.easyrecyclerview.holder.EasyRecyclerViewHolder
import com.jiaoyinbrother.monkeyking.R

class RuleAdapter(val context: Context) : EasyRecyclerViewAdapter() {

    override fun getRecycleViewItemType(position: Int): Int {
        return 0
    }

    override fun onBindRecycleViewHolder(viewHolder: EasyRecyclerViewHolder?, position: Int) {
        val info = list[position] as String
        val arrInfo = info.split("&")
        val mTvTitle = viewHolder?.findViewById<TextView>(R.id.title)
        mTvTitle?.text = arrInfo[0]
        val mTvDescription = viewHolder?.findViewById<TextView>(R.id.description)
        mTvDescription?.text = arrInfo[1]
        val mLine = viewHolder?.findViewById<ImageView>(R.id.line)
        mLine?.visibility = if (position % 2 == 1) View.VISIBLE else View.INVISIBLE
    }

    override fun getItemLayouts(): IntArray {
        return intArrayOf(R.layout.item_rule)
    }
}